alertmanager_version: 0.20.0
alertmanager_arch: "linux-{{ package_arch | default('amd64') }}"

alertmanager_username: alertmanager
alertmanager_home: /var/opt/alertmanager

alertmanager_tarball_url: "https://github.com/prometheus/alertmanager/releases/download/v{{ alertmanager_version }}/alertmanager-{{ alertmanager_version }}.{{ alertmanager_arch }}.tar.gz"
alertmanager_tarball: "{{ alertmanager_home }}/alertmanager-{{ alertmanager_version }}.{{ alertmanager_arch }}.tar.gz"
alertmanager_archive_dir: "{{ alertmanager_home }}/alertmanager-{{ alertmanager_version }}.{{ alertmanager_arch }}"
alertmanager_checksum: "sha256:https://github.com/prometheus/alertmanager/releases/download/v{{ alertmanager_version }}/sha256sums.txt"

alertmanager_install: True

alertmanager_datadir: "{{ alertmanager_home }}/data"
alertmanager_cluster_advertise_address: "{{ ansible_default_ipv4.address }}:9394"

alertmanager_receivers:
  - name: "{{ pushover_team_name | default('default-receiver') }}"
    pushover_configs:
      - user_key: "{{ pushover_userkey | default('must set pushover_userkey in ansible play') }}"
        token: "{{ pushover_token | default('must set pushover_token in ansible play') }}"

alertmanager_templates:
  - pushover.yml
